- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Typedefs | Functions
Multibuttonentry

## Typedefs
typedef Eina_Bool(* | Elm_Multibuttonentry_Item_Filter_Cb )(Evas_Object *obj, const char *item_label, void *item_data, void *data)
| Callback to be invoked when an item is added to the multibuttonentry. More...
typedef char *(* | Elm_Multibuttonentry_Format_Cb )(int count, void *data)
| This callback type is used to format the string that will be used to display the hidden items counter, when not in expanded mode. More...

## Functions
EOAPI void | elm_obj_multibuttonentry_editable_set (Eina_Bool editable)
| Sets if the multibuttonentry is to be editable or not. More...
EOAPI Eina_Bool | elm_obj_multibuttonentry_editable_get (void)
| Get whether the multibuttonentry is editable or not. More...
EOAPI void | elm_obj_multibuttonentry_expanded_set (Eina_Bool expanded)
| Set/Unset the multibuttonentry to expanded state. More...
EOAPI Eina_Bool | elm_obj_multibuttonentry_expanded_get (void)
| Get the value of expanded state. More...
EOAPI void | elm_obj_multibuttonentry_format_function_set (Elm_Multibuttonentry_Format_Cb format_function, const void *data)
| Set a function to format the string that will be used to display the hidden items counter. More...
EOAPI const Eina_List * | elm_obj_multibuttonentry_items_get (void)
| Get a list of items in the multibuttonentry. More...
EOAPI Elm_Object_Item * | elm_obj_multibuttonentry_first_item_get (void)
| Get the first item in the multibuttonentry. More...
EOAPI Elm_Object_Item * | elm_obj_multibuttonentry_last_item_get (void)
| Get the last item in the multibuttonentry. More...
EOAPI Evas_Object * | elm_obj_multibuttonentry_entry_get (void)
| Get the entry of the multibuttonentry object. More...
EOAPI Elm_Object_Item * | elm_obj_multibuttonentry_selected_item_get (void)
| Get the selected item in the multibuttonentry. More...
EOAPI Elm_Object_Item * | elm_obj_multibuttonentry_item_prepend (const char *label, Evas_Smart_Cb func, void *data)
| Prepend a new item to the multibuttonentry. More...
EOAPI void | elm_obj_multibuttonentry_clear (void)
| Remove all items in the multibuttonentry.
EOAPI void | elm_obj_multibuttonentry_item_filter_remove (Elm_Multibuttonentry_Item_Filter_Cb func, void *data)
| Remove a filter from the list. More...
EOAPI Elm_Object_Item * | elm_obj_multibuttonentry_item_insert_before (Elm_Object_Item *before, const char *label, Evas_Smart_Cb func, void *data)
| Add a new item to the multibuttonentry before the indicated object. More...
EOAPI Elm_Object_Item * | elm_obj_multibuttonentry_item_append (const char *label, Evas_Smart_Cb func, void *data)
| Append a new item to the multibuttonentry. More...
EOAPI void | elm_obj_multibuttonentry_item_filter_prepend (Elm_Multibuttonentry_Item_Filter_Cb func, void *data)
| Prepend a filter function for text inserted in the Multibuttonentry. More...
EOAPI void | elm_obj_multibuttonentry_item_filter_append (Elm_Multibuttonentry_Item_Filter_Cb func, void *data)
| Append an item filter function for text inserted in the Multibuttonentry. More...
EOAPI Elm_Object_Item * | elm_obj_multibuttonentry_item_insert_after (Elm_Object_Item *after, const char *label, Evas_Smart_Cb func, void *data)
| Add a new item to the multibuttonentry after the indicated object. More...
Elm_Object_Item * | elm_multibuttonentry::item_prepend (std::string label_, Evas_Smart_Cb func_, void *data_) const
| Prepend a new item to the multibuttonentry. More...
void | elm_multibuttonentry::clear () const
| Remove all items in the multibuttonentry.
void | elm_multibuttonentry::item_filter_remove (Elm_Multibuttonentry_Item_Filter_Cb func_, void *data_) const
| Remove a filter from the list. More...
Elm_Object_Item * | elm_multibuttonentry::item_insert_before (Elm_Object_Item *before_, std::string label_, Evas_Smart_Cb func_, void *data_) const
| Add a new item to the multibuttonentry before the indicated object. More...
Elm_Object_Item * | elm_multibuttonentry::item_append (std::string label_, Evas_Smart_Cb func_, void *data_) const
| Append a new item to the multibuttonentry. More...
void | elm_multibuttonentry::item_filter_prepend (Elm_Multibuttonentry_Item_Filter_Cb func_, void *data_) const
| Prepend a filter function for text inserted in the Multibuttonentry. More...
void | elm_multibuttonentry::item_filter_append (Elm_Multibuttonentry_Item_Filter_Cb func_, void *data_) const
| Append an item filter function for text inserted in the Multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry::item_insert_after (Elm_Object_Item *after_, std::string label_, Evas_Smart_Cb func_, void *data_) const
| Add a new item to the multibuttonentry after the indicated object. More...
void | elm_multibuttonentry_editable_set (Eo *obj, Eina_Bool editable)
| Sets if the multibuttonentry is to be editable or not. More...
Eina_Bool | elm_multibuttonentry_editable_get (const Eo *obj)
| Get whether the multibuttonentry is editable or not. More...
void | elm_multibuttonentry_expanded_set (Eo *obj, Eina_Bool expanded)
| Set/Unset the multibuttonentry to expanded state. More...
Eina_Bool | elm_multibuttonentry_expanded_get (const Eo *obj)
| Get the value of expanded state. More...
void | elm_multibuttonentry_format_function_set (Eo *obj, Elm_Multibuttonentry_Format_Cb format_function, const void *data)
| Set a function to format the string that will be used to display the hidden items counter. More...
const Eina_List * | elm_multibuttonentry_items_get (const Eo *obj)
| Get a list of items in the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_first_item_get (const Eo *obj)
| Get the first item in the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_last_item_get (const Eo *obj)
| Get the last item in the multibuttonentry. More...
Evas_Object * | elm_multibuttonentry_entry_get (const Eo *obj)
| Get the entry of the multibuttonentry object. More...
Elm_Object_Item * | elm_multibuttonentry_selected_item_get (const Eo *obj)
| Get the selected item in the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_item_prepend (Eo *obj, const char *label, Evas_Smart_Cb func, void *data)
| Prepend a new item to the multibuttonentry. More...
void | elm_multibuttonentry_clear (Eo *obj)
| Remove all items in the multibuttonentry.
void | elm_multibuttonentry_item_filter_remove (Eo *obj, Elm_Multibuttonentry_Item_Filter_Cb func, void *data)
| Remove a filter from the list. More...
Elm_Object_Item * | elm_multibuttonentry_item_insert_before (Eo *obj, Elm_Object_Item *before, const char *label, Evas_Smart_Cb func, void *data)
| Add a new item to the multibuttonentry before the indicated object. More...
Elm_Object_Item * | elm_multibuttonentry_item_append (Eo *obj, const char *label, Evas_Smart_Cb func, void *data)
| Append a new item to the multibuttonentry. More...
void | elm_multibuttonentry_item_filter_prepend (Eo *obj, Elm_Multibuttonentry_Item_Filter_Cb func, void *data)
| Prepend a filter function for text inserted in the Multibuttonentry. More...
void | elm_multibuttonentry_item_filter_append (Eo *obj, Elm_Multibuttonentry_Item_Filter_Cb func, void *data)
| Append an item filter function for text inserted in the Multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_item_insert_after (Eo *obj, Elm_Object_Item *after, const char *label, Evas_Smart_Cb func, void *data)
| Add a new item to the multibuttonentry after the indicated object. More...
Evas_Object * | elm_multibuttonentry_add (Evas_Object *parent)
| Add a new multibuttonentry to the parent. More...
void | elm_multibuttonentry_item_selected_set (Elm_Object_Item *it, Eina_Bool selected)
| Set the selected state of an item. More...
Eina_Bool | elm_multibuttonentry_item_selected_get (const Elm_Object_Item *it)
| Get the selected state of an item. More...
Elm_Object_Item * | elm_multibuttonentry_item_prev_get (const Elm_Object_Item *it)
| Get the previous item in the multibuttonentry. More...
Elm_Object_Item * | elm_multibuttonentry_item_next_get (const Elm_Object_Item *it)
| Get the next item in the multibuttonentry. More...

## Detailed Description

A multi-button entry is a widget letting an user enter text and each chunk of text managed as a set of buttons. Each text button is inserted by pressing the "return" key. If there is no space in the current row, a new button is added to the next row. When a text button is pressed, it will become focused. Backspace removes the focus. When the multi-button entry loses focus, items longer than one line are shrunk to one line.

The typical use case of multi-button entry is composing emails/messages to a group of addresses, each of which is an item that can be clicked for further actions.

This widget inherits from the Layout one, so that all the functions acting on it also work for multi-button entry objects (since 1.8).

This widget emits the following signals, besides the ones sent from Layout:

- `"item,selected"` - this is called when an item is selected by api, user interaction, and etc. this is also called when a user press back space while cursor is on the first field of entry.
- `"item,added"` - when a new multi-button entry item is added.
- `"item,deleted"` - when a multi-button entry item is deleted.
- `"item,clicked"` - this is called when an item is clicked by user interaction. Both "item,selected" and "item,clicked" are needed.
- `"clicked"` - when multi-button entry is clicked.
- `"focused"` - when multi-button entry is focused.
- `"unfocused"` - when multi-button entry is unfocused.
- `"expanded"` - when multi-button entry is expanded.
- `"contracted"` - when multi-button entry is contracted.
- `"expand,state,changed"` - when shrink mode state of multi-button entry is changed.

Default text parts of the multi-button entry widget that you can use are:

- "default" - A label of the multi-button entry

Default text parts of multi-button entry items that you can use are:

- "default" - A label of the multi-button entry item

Supported elm_object_item common APIs.

- elm_object_item_del
- elm_object_item_part_text_set
- elm_object_item_part_text_get

## Typedef Documentation

Elm_Multibuttonentry_Format_Cb

This callback type is used to format the string that will be used to display the hidden items counter, when not in expanded mode.

Parameters

  count | Number of hidden items
  data | The (context) data passed in to elm_multibuttonentry_format_function_set()

Returns
  String representing the counter that will be set to multibuttonentry's counter item's text.

See also
  elm_multibuttonentry_format_function_set()
  elm_multibuttonentry_expanded_set()

typedef Eina_Bool(* Elm_Multibuttonentry_Item_Filter_Cb)(Evas_Object *obj, const char *item_label, void *item_data, void *data)

Callback to be invoked when an item is added to the multibuttonentry.

Parameters

  obj | The parent object
  item_label | The label corresponding to the added item.
  item_data | data specific to this item.
  data | data specific to the multibuttonentry.

Returns
  `EINA_TRUE` `EINA_FALSE` otherwise.

## Function Documentation

Evas_Object* elm_multibuttonentry_add | ( | Evas_Object * | parent | ) |

Add a new multibuttonentry to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

Eina_Bool elm_multibuttonentry_editable_get | ( | const Eo * | obj | ) |

Get whether the multibuttonentry is editable or not.

Returns
  `EINA_TRUE` if the multibuttonentry is editable by the user. `EINA_FALSE` if not.

Since
  1.7

References elm_obj_multibuttonentry_editable_get().

void elm_multibuttonentry_editable_set | ( | Eo * | obj,
|  | Eina_Bool | editable
| ) |  |

Sets if the multibuttonentry is to be editable or not.

Since
  1.7

Parameters

  [in] | editable | If `EINA_TRUE`, user can add/delete item in multibuttonentry, if not, the multibuttonentry is non-editable.

References elm_obj_multibuttonentry_editable_set().

Evas_Object* elm_multibuttonentry_entry_get | ( | const Eo * | obj | ) |

Get the entry of the multibuttonentry object.

Returns
  The entry object, or NULL if none

References elm_obj_multibuttonentry_entry_get().

Eina_Bool elm_multibuttonentry_expanded_get | ( | const Eo * | obj | ) |

Get the value of expanded state.

In expanded state, the complete entry will be displayed. Otherwise, only single line of the entry will be displayed.

Returns
  `EINA_TRUE` if the widget is in expanded state. `EINA_FALSE` if not.

References elm_obj_multibuttonentry_expanded_get().

void elm_multibuttonentry_expanded_set | ( | Eo * | obj,
|  | Eina_Bool | expanded
| ) |  |

Set/Unset the multibuttonentry to expanded state.

In expanded state, the complete entry will be displayed. Otherwise, only single line of the entry will be displayed.

Parameters

  [in] | expanded | the value of expanded state. Set this to `EINA_TRUE` for expanded state. Set this to EINA_FALSE for single line state.

References elm_obj_multibuttonentry_expanded_set().

Elm_Object_Item* elm_multibuttonentry_first_item_get | ( | const Eo * | obj | ) |

Get the first item in the multibuttonentry.

Returns
  The first item, or NULL if none

References elm_obj_multibuttonentry_first_item_get().

void elm_multibuttonentry_format_function_set | ( | Eo * | obj,
|  | Elm_Multibuttonentry_Format_Cb | format_function,
|  | const void * | data
| ) |  |

Set a function to format the string that will be used to display the hidden items counter.

If format_function is `NULL`, the default format will be used, which is `"... + %d"`.

See also
  elm_multibuttonentry_format_function_set

Since
  1.9

Parameters

  [in] | format_function | format_function The actual format function
  [in] | data | data User data to passed to format_function

References elm_obj_multibuttonentry_format_function_set().

Elm_Object_Item* elm_multibuttonentry_item_append | ( | Eo * | obj,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Append a new item to the multibuttonentry.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  [in] | label | The label of new item
  [in] | func | The callback function to be invoked when this item is pressed.
  [in] | data | The pointer to the data to be attached

References elm_obj_multibuttonentry_item_append().

void elm_multibuttonentry_item_filter_append | ( | Eo * | obj,
|  | Elm_Multibuttonentry_Item_Filter_Cb | func,
|  | void * | data
| ) |  |

Append an item filter function for text inserted in the Multibuttonentry.

Append the given callback to the list. This functions will be called whenever any text is inserted into the Multibuttonentry, with the text to be inserted as a parameter. The callback function is free to alter the text in any way it wants, but it must remember to free the given pointer and update it. If the new text is to be discarded, the function can free it and set it text parameter to NULL. This will also prevent any following filters from being called.

Parameters

  [in] | func | The function to use as item filter
  [in] | data | User data to pass to `func`

References elm_obj_multibuttonentry_item_filter_append().

void elm_multibuttonentry_item_filter_prepend | ( | Eo * | obj,
|  | Elm_Multibuttonentry_Item_Filter_Cb | func,
|  | void * | data
| ) |  |

Prepend a filter function for text inserted in the Multibuttonentry.

Prepend the given callback to the list. See elm_multibuttonentry_item_filter_append() for more information

Parameters

  [in] | func | The function to use as text filter
  [in] | data | User data to pass to `func`

References elm_obj_multibuttonentry_item_filter_prepend().

void elm_multibuttonentry_item_filter_remove | ( | Eo * | obj,
|  | Elm_Multibuttonentry_Item_Filter_Cb | func,
|  | void * | data
| ) |  |

Remove a filter from the list.

Removes the given callback from the filter list. See elm_multibuttonentry_item_filter_append() for more information.

Parameters

  [in] | func | The filter function to remove
  [in] | data | The user data passed when adding the function

References elm_obj_multibuttonentry_item_filter_remove().

Elm_Object_Item* elm_multibuttonentry_item_insert_after | ( | Eo * | obj,
|  | Elm_Object_Item * | after,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Add a new item to the multibuttonentry after the indicated object.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  [in] | after | The item after which to add it
  [in] | label | The label of new item
  [in] | func | The callback function to be invoked when this item is pressed.
  [in] | data | The pointer to the data to be attached

References elm_obj_multibuttonentry_item_insert_after().

Elm_Object_Item* elm_multibuttonentry_item_insert_before | ( | Eo * | obj,
|  | Elm_Object_Item * | before,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Add a new item to the multibuttonentry before the indicated object.

reference.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  [in] | before | The item before which to add it
  [in] | label | The label of new item
  [in] | func | The callback function to be invoked when this item is pressed.
  [in] | data | The pointer to the data to be attached

References elm_obj_multibuttonentry_item_insert_before().

Elm_Object_Item* elm_multibuttonentry_item_next_get | ( | const Elm_Object_Item * | it | ) |

Get the next item in the multibuttonentry.

Parameters

  it | The item

Returns
  The item after the item `it`

Elm_Object_Item* elm_multibuttonentry_item_prepend | ( | Eo * | obj,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Prepend a new item to the multibuttonentry.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  [in] | label | The label of new item
  [in] | func | The callback function to be invoked when this item is pressed.
  [in] | data | The pointer to the data to be attached

References elm_obj_multibuttonentry_item_prepend().

Elm_Object_Item* elm_multibuttonentry_item_prev_get | ( | const Elm_Object_Item * | it | ) |

Get the previous item in the multibuttonentry.

Parameters

  it | The item

Returns
  The item before the item `it`

Eina_Bool elm_multibuttonentry_item_selected_get | ( | const Elm_Object_Item * | it | ) |

Get the selected state of an item.

Parameters

  it | The item

Returns
  `EINA_TRUE` if the item is selected, `EINA_FALSE` otherwise.

void elm_multibuttonentry_item_selected_set | ( | Elm_Object_Item * | it,
|  | Eina_Bool | selected
| ) |  |

Set the selected state of an item.

Parameters

  it | The item
  selected | if it's `EINA_TRUE`, select the item otherwise, unselect the item

const Eina_List* elm_multibuttonentry_items_get | ( | const Eo * | obj | ) |

Get a list of items in the multibuttonentry.

Returns
  The list of items, or NULL if none

References elm_obj_multibuttonentry_items_get().

Elm_Object_Item* elm_multibuttonentry_last_item_get | ( | const Eo * | obj | ) |

Get the last item in the multibuttonentry.

Returns
  The last item, or NULL if none

References elm_obj_multibuttonentry_last_item_get().

Elm_Object_Item* elm_multibuttonentry_selected_item_get | ( | const Eo * | obj | ) |

Get the selected item in the multibuttonentry.

Returns
  The selected item, or NULL if none

References elm_obj_multibuttonentry_selected_item_get().

EOAPI Eina_Bool elm_obj_multibuttonentry_editable_get | ( | void |  | ) |

Get whether the multibuttonentry is editable or not.

Returns
  `EINA_TRUE` if the multibuttonentry is editable by the user. `EINA_FALSE` if not.

Since
  1.7

Referenced by elm_multibuttonentry_editable_get().

EOAPI void elm_obj_multibuttonentry_editable_set | ( | Eina_Bool | editable | ) |

Sets if the multibuttonentry is to be editable or not.

Since
  1.7

Parameters

  [in] | editable | If `EINA_TRUE`, user can add/delete item in multibuttonentry, if not, the multibuttonentry is non-editable.

Referenced by elm_multibuttonentry_editable_set().

EOAPI Evas_Object* elm_obj_multibuttonentry_entry_get | ( | void |  | ) |

Get the entry of the multibuttonentry object.

Returns
  The entry object, or NULL if none

Referenced by elm_multibuttonentry_entry_get().

EOAPI Eina_Bool elm_obj_multibuttonentry_expanded_get | ( | void |  | ) |

Get the value of expanded state.

In expanded state, the complete entry will be displayed. Otherwise, only single line of the entry will be displayed.

Returns
  `EINA_TRUE` if the widget is in expanded state. `EINA_FALSE` if not.

Referenced by elm_multibuttonentry_expanded_get().

EOAPI void elm_obj_multibuttonentry_expanded_set | ( | Eina_Bool | expanded | ) |

Set/Unset the multibuttonentry to expanded state.

In expanded state, the complete entry will be displayed. Otherwise, only single line of the entry will be displayed.

Parameters

  [in] | expanded | the value of expanded state. Set this to `EINA_TRUE` for expanded state. Set this to EINA_FALSE for single line state.

Referenced by elm_multibuttonentry_expanded_set().

EOAPI Elm_Object_Item* elm_obj_multibuttonentry_first_item_get | ( | void |  | ) |

Get the first item in the multibuttonentry.

Returns
  The first item, or NULL if none

Referenced by elm_multibuttonentry_first_item_get().

EOAPI void elm_obj_multibuttonentry_format_function_set | ( | Elm_Multibuttonentry_Format_Cb | format_function,
|  | const void * | data
| ) |  |

Set a function to format the string that will be used to display the hidden items counter.

If format_function is `NULL`, the default format will be used, which is `"... + %d"`.

See also
  elm_multibuttonentry_format_function_set

Since
  1.9

Parameters

  [in] | format_function | format_function The actual format function
  [in] | data | data User data to passed to format_function

Referenced by elm_multibuttonentry_format_function_set().

EOAPI Elm_Object_Item* elm_obj_multibuttonentry_item_append | ( | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Append a new item to the multibuttonentry.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  [in] | label | The label of new item
  [in] | func | The callback function to be invoked when this item is pressed.
  [in] | data | The pointer to the data to be attached

Referenced by elm_multibuttonentry_item_append(), and elm_multibuttonentry::item_append().

EOAPI void elm_obj_multibuttonentry_item_filter_append | ( | Elm_Multibuttonentry_Item_Filter_Cb | func,
|  | void * | data
| ) |  |

Append an item filter function for text inserted in the Multibuttonentry.

Append the given callback to the list. This functions will be called whenever any text is inserted into the Multibuttonentry, with the text to be inserted as a parameter. The callback function is free to alter the text in any way it wants, but it must remember to free the given pointer and update it. If the new text is to be discarded, the function can free it and set it text parameter to NULL. This will also prevent any following filters from being called.

Parameters

  [in] | func | The function to use as item filter
  [in] | data | User data to pass to `func`

Referenced by elm_multibuttonentry_item_filter_append(), and elm_multibuttonentry::item_filter_append().

EOAPI void elm_obj_multibuttonentry_item_filter_prepend | ( | Elm_Multibuttonentry_Item_Filter_Cb | func,
|  | void * | data
| ) |  |

Prepend a filter function for text inserted in the Multibuttonentry.

Prepend the given callback to the list. See elm_multibuttonentry_item_filter_append() for more information

Parameters

  [in] | func | The function to use as text filter
  [in] | data | User data to pass to `func`

Referenced by elm_multibuttonentry_item_filter_prepend(), and elm_multibuttonentry::item_filter_prepend().

EOAPI void elm_obj_multibuttonentry_item_filter_remove | ( | Elm_Multibuttonentry_Item_Filter_Cb | func,
|  | void * | data
| ) |  |

Remove a filter from the list.

Removes the given callback from the filter list. See elm_multibuttonentry_item_filter_append() for more information.

Parameters

  [in] | func | The filter function to remove
  [in] | data | The user data passed when adding the function

Referenced by elm_multibuttonentry_item_filter_remove(), and elm_multibuttonentry::item_filter_remove().

EOAPI Elm_Object_Item* elm_obj_multibuttonentry_item_insert_after | ( | Elm_Object_Item * | after,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Add a new item to the multibuttonentry after the indicated object.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  [in] | after | The item after which to add it
  [in] | label | The label of new item
  [in] | func | The callback function to be invoked when this item is pressed.
  [in] | data | The pointer to the data to be attached

Referenced by elm_multibuttonentry_item_insert_after(), and elm_multibuttonentry::item_insert_after().

EOAPI Elm_Object_Item* elm_obj_multibuttonentry_item_insert_before | ( | Elm_Object_Item * | before,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Add a new item to the multibuttonentry before the indicated object.

reference.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  [in] | before | The item before which to add it
  [in] | label | The label of new item
  [in] | func | The callback function to be invoked when this item is pressed.
  [in] | data | The pointer to the data to be attached

Referenced by elm_multibuttonentry_item_insert_before(), and elm_multibuttonentry::item_insert_before().

EOAPI Elm_Object_Item* elm_obj_multibuttonentry_item_prepend | ( | const char * | label,
|  | Evas_Smart_Cb | func,
|  | void * | data
| ) |  |

Prepend a new item to the multibuttonentry.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  [in] | label | The label of new item
  [in] | func | The callback function to be invoked when this item is pressed.
  [in] | data | The pointer to the data to be attached

Referenced by elm_multibuttonentry_item_prepend(), and elm_multibuttonentry::item_prepend().

EOAPI const Eina_List* elm_obj_multibuttonentry_items_get | ( | void |  | ) |

Get a list of items in the multibuttonentry.

Returns
  The list of items, or NULL if none

Referenced by elm_multibuttonentry_items_get().

EOAPI Elm_Object_Item* elm_obj_multibuttonentry_last_item_get | ( | void |  | ) |

Get the last item in the multibuttonentry.

Returns
  The last item, or NULL if none

Referenced by elm_multibuttonentry_last_item_get().

EOAPI Elm_Object_Item* elm_obj_multibuttonentry_selected_item_get | ( | void |  | ) |

Get the selected item in the multibuttonentry.

Returns
  The selected item, or NULL if none

Referenced by elm_multibuttonentry_selected_item_get().

Elm_Object_Item* elm_multibuttonentry::item_append | ( | std::string | label_,
|  | Evas_Smart_Cb | func_,
|  | void * | data_
| ) |  | const
| inline

Append a new item to the multibuttonentry.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  label | The label of new item
  func | The callback function to be invoked when this item is pressed.
  data | The pointer to the data to be attached

References elm_obj_multibuttonentry_item_append().

void elm_multibuttonentry::item_filter_append | ( | Elm_Multibuttonentry_Item_Filter_Cb | func_,
|  | void * | data_
| ) |  | const
| inline

Append an item filter function for text inserted in the Multibuttonentry.

Append the given callback to the list. This functions will be called whenever any text is inserted into the Multibuttonentry, with the text to be inserted as a parameter. The callback function is free to alter the text in any way it wants, but it must remember to free the given pointer and update it. If the new text is to be discarded, the function can free it and set it text parameter to NULL. This will also prevent any following filters from being called.

Parameters

  func | The function to use as item filter
  data | User data to pass to `func`

References elm_obj_multibuttonentry_item_filter_append().

void elm_multibuttonentry::item_filter_prepend | ( | Elm_Multibuttonentry_Item_Filter_Cb | func_,
|  | void * | data_
| ) |  | const
| inline

Prepend a filter function for text inserted in the Multibuttonentry.

Prepend the given callback to the list. See elm_multibuttonentry_item_filter_append() for more information

Parameters

  func | The function to use as text filter
  data | User data to pass to `func`

References elm_obj_multibuttonentry_item_filter_prepend().

void elm_multibuttonentry::item_filter_remove | ( | Elm_Multibuttonentry_Item_Filter_Cb | func_,
|  | void * | data_
| ) |  | const
| inline

Remove a filter from the list.

Removes the given callback from the filter list. See elm_multibuttonentry_item_filter_append() for more information.

Parameters

  func | The filter function to remove
  data | The user data passed when adding the function

References elm_obj_multibuttonentry_item_filter_remove().

Elm_Object_Item* elm_multibuttonentry::item_insert_after | ( | Elm_Object_Item * | after_,
|  | std::string | label_,
|  | Evas_Smart_Cb | func_,
|  | void * | data_
| ) |  | const
| inline

Add a new item to the multibuttonentry after the indicated object.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  after | The item after which to add it
  label | The label of new item
  func | The callback function to be invoked when this item is pressed.
  data | The pointer to the data to be attached

References elm_obj_multibuttonentry_item_insert_after().

Elm_Object_Item* elm_multibuttonentry::item_insert_before | ( | Elm_Object_Item * | before_,
|  | std::string | label_,
|  | Evas_Smart_Cb | func_,
|  | void * | data_
| ) |  | const
| inline

Add a new item to the multibuttonentry before the indicated object.

reference.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  before | The item before which to add it
  label | The label of new item
  func | The callback function to be invoked when this item is pressed.
  data | The pointer to the data to be attached

References elm_obj_multibuttonentry_item_insert_before().

Elm_Object_Item* elm_multibuttonentry::item_prepend | ( | std::string | label_,
|  | Evas_Smart_Cb | func_,
|  | void * | data_
| ) |  | const
| inline

Prepend a new item to the multibuttonentry.

Returns
  A handle to the item added or NULL if not possible

See also
  Use elm_object_item_del() to delete the item.

Parameters

  label | The label of new item
  func | The callback function to be invoked when this item is pressed.
  data | The pointer to the data to be attached

References elm_obj_multibuttonentry_item_prepend().